#import <UIKit/UIKit.h>
#import "Core.h"
#import "Util.h"

@interface UiHelper : NSObject <UIAlertViewDelegate>

+ (id)singleton;
- (void)toastMessage:(NSString*) message;
- (void)showLoading:(UIView*)view isDeviceSale:(BOOL)isDeviceSale;
- (void)hideLoading;
- (void)showWarning:(NSString*) message;
- (void)showError:(NSString*) message;
- (void)animateWrongInput:(UIView*)view;
- (void)showSuccess:(NSString*) title withMessage:(NSString*) message;
- (void)updateMessage:(NSString*)message;
- (BOOL)isProgressShowing;
- (void)showRequestAmountEdit:(CoreSale*)coreSale withViewController:(UIViewController*)view;

@end

@interface ChangeHostDialog : NSObject

+ (void)dialog:(UIViewController*)view;

@end
