
#import <UIKit/UIKit.h>
#import "Core.h"
#import "Util.h"
#import "UiHelper.h"

typedef enum {
    CARD_DETAILS_SALE,
    CARD_DETAILS_REFUND,
    CARD_DETAILS_SECURE_CARD
} CardDetailsViewType;

typedef enum {
    SECURE_CARD_TYPE_SALE,
    SECURE_CARD_TYPE_REGISTER,
    SECURE_CARD_TYPE_UPDATE
} SecureCardType;

@interface CardDetailsViewController : UIViewController <UIActionSheetDelegate>

@property NSNumber* amount;
@property CardDetailsViewType cardDetaildViewType;
@property SecureCardType secureCardType;
@property CoreSale* coreSale;
@property NSString* merchantReference;
@property NSString* secureCardReference;
@property CoreSecureCard* secureCard;

@end


